EDIT - feature request #7415

Implement ExternalLinks for OriginalSources in TaxEditor
05/14/2018 05:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 90%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.3

Severity: normal

Description

OriginalSourceBase now has a Set of ExternalLinks. These should be editable in the TaxEditor.

Related issues:

Related to EDIT - feature request #7416: OriginalSourceBase.links should be s... New
Related to EDIT - feature request #9064 : Add ExternalLinks to IdentifiableEnt... Closed
Follows EDIT - feature request #6588: Add URL and URL comment to OriginalSour... Closed
Copied to EDIT - feature request #7747: Enhance display for URI element New

Associated revisions

Revision 414b03e6 - 08/27/2018 10:37 AM - Katja Luther

ref #7415: add external link section to original source part

Revision 9ad45667 - 08/27/2018 10:46 AM - Katja Luther

ref #7415: add external link section to original source part

Revision e4f9e245 - 09/07/2018 09:39 AM - Andreas Miiller
ref #7415 fix NPE in ExternalLinksElement

Revision 89f9d5a7 - 09/07/2018 12:44 PM - Katja Luther

ref #7415: move name in source behind external links

Revision b937b2de - 09/07/2018 02:42 PM - Katja Luther

ref #7415: move type at top and shorter labels

History

#1 - 05/14/2018 05:09 PM - Andreas Miiller

- Due date set to 04/25/2017

- Start date changed from 05/14/2018 to 04/25/2017

- Follows feature request #6588: Add URL and URL comment to OriginalSource / ExternallLink added

#2 - 05/14/2018 05:13 PM - Andreas Miuller

- Related to feature request #7416: OriginalSourceBase.links should be shown in DataPortal added

#3 - 06/28/2018 12:08 AM - Andreas Mdiller

- Target version changed from Release 5.1 to Release 5.2

#4 - 08/17/2018 03:52 PM - Andreas Miller

- Target version changed from Release 5.2 to Release 5.3

#5 - 08/27/2018 11:32 AM - Katja Luther

the fields are available now, but the AUD table definition needs to be updated, the uuid should be allowed to be null (see #7683)

#6 - 09/05/2018 09:14 AM - Katja Luther
https://dev.e-taxonomy.eu/redmine/issues/7683

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#7 - 09/05/2018 10:43 AM - Andreas Mdller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

Adding an external link throws NPE
#8 - 09/05/2018 11:35 AM - Katja Luther

I can't reproduce this exception, | tested with nightly and rem_conf_am

#9 - 09/06/2018 09:02 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#10 - 09/07/2018 09:21 AM - Andreas Miiller

For DescriptionElementSources the ExternalLinks appear now above Name in Source. This is bad for UX. We need to put it to the end.

#11 - 09/07/2018 09:38 AM - Andreas Miiller

Katja Luther wrote:

| can't reproduce this exception, | tested with nightly and rem_conf_am

The exception still exists and to me it seems quite obvious. In line 71 you have

69
70
71

if (entity.getDescription() !=
description.setText (entity.getDescription () .get (
CdmStore.getDefaultLanguage ()) .getText ());

null) {

so0 a description exists, but get(defaultLanguage) does not return a value. Therefore .getText() throws an NPE.
By the way entity.getDescription() != null is not really necessary as the description by definition should never be null but an empty HashMap instead.
By the way | use German as DefaultLanguage. | wonder what is different on your machine that you do not get the exception.
I did a quick fix by also checking entity.getDescription().get(CdmStore.getDefaultLanguage()) = null

However, as description is i18n there should be i18n support. Can't we use (c&p?) i18n implementation code for this. Or is this i18n enabled and | just
can't see it?

#12 - 09/07/2018 09:40 AM - Andreas Miiller
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 40

#13 - 09/07/2018 12:25 PM - Katja Luther

this is already i18n because CdmStore.getDefaultLanguage() returns the default language defined in the preferences or english if no default language
is defined.

#14 - 09/07/2018 12:45 PM - Katja Luther

Andreas Muller wrote:

For DescriptionElementSources the ExternalLinks appear now above Name in Source. This is bad for UX. We need to put it to the end.

this is fixed

#15 - 09/07/2018 01:48 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#16 - 09/07/2018 02:04 PM - Andreas Miiller

Katja Luther wrote:

this is already i18n because CdmStore.getDefaultLanguage() returns the default language defined in the preferences or english if no default
language is defined.

This is a misunderstanding. For me i18n means that it SUPPORTS i18n editing, so you can enter text in multiple languages. As long as this is not
possible it does not make sense to show only Default language as this is not a publication tool but an editing tool. If you have German as default
language you may still want to edit English text. And you may even want to create German and English in parallel. We have already implemented this
at other places.

#17 - 09/07/2018 02:06 PM - Andreas Miiller

#18 - 09/07/2018 02:06 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

#19 - 09/07/2018 02:07 PM - Andreas Miiller

Can we reduce the space between the 3 fields? Usually | like this but here | think it is better to be compact.

#20 - 09/07/2018 02:08 PM - Andreas Miiller

#21 - 09/07/2018 02:59 PM - Katja Luther
- % Done changed from 40 to 0
Andreas Miller wrote:

Katja Luther wrote:

this is already i18n because CdmStore.getDefaultLanguage() returns the default language defined in the preferences or english if no default
language is defined.
This is a misunderstanding. For me i18n means that it SUPPORTS i18n editing, so you can enter text in multiple languages. As long as this is
not possible it does not make sense to show only Default language as this is not a publication tool but an editing tool. If you have German as
default language you may still want to edit English text. And you may even want to create German and English in parallel. We have already
implemented this at other places.

yes this was a misunderstanding. now it is possible to edit the multilanguage text if multilanguage editing is enabled.

#22 - 09/07/2018 03:00 PM - Katja Luther
- % Done changed from 0 to 80

#23 - 09/10/2018 04:27 PM - Andreas Miiller
- Due date deleted (04/25/2017)

#24 - 09/11/2018 09:10 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

| set this ticket to resolved and create a new ticket for the reduced spaces between the fields.

#25 - 09/11/2018 09:12 AM - Katja Luther
- Copied to feature request #7747: Enhance display for URI element added

#26 - 09/11/2018 02:24 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

This works now and can be closed. Only we could also change the label "External Link Type" to "Type", as this is clear from the context.

#27 - 09/11/2018 02:25 PM - Andreas Miiller
- % Done changed from 80 to 90

#28 - 09/12/2018 11:52 AM - Katja Luther
- Status changed from Feedback to Closed

#29 - 06/12/2020 01:03 AM - Andreas Miiller
- Related to feature request #9064: Add ExternalLinks to IdentifiableEntities added
